debugfs_remove
Prev | debugfs interface | Next

## Name

debugfs_remove — removes a file or directory from the debugfs filesystem

## Synopsis

`void debugfs_remove (` | struct dentry * | dentry`)`;

## Arguments

`dentry`

  a pointer to a the dentry of the file or directory to be removed.

## Description

This function removes a file or directory in debugfs that was previously created with a call to another debugfs function (like `debugfs_create_file` or variants thereof.)

This function is required to be called in order for the file to be removed, no automatic cleanup of files will happen when a module is removed, you are responsible here.

Prev | Up | Next
debugfs_create_symlink | Home | debugfs_rename